<?php
namespace Pinpoint\TestimonialManager\Api;

use Pinpoint\TestimonialManager\Api\Data\TestimonialAreaInterface;
use Magento\Framework\Api\SortOrder;
use Magento\Framework\Api\SearchCriteriaInterface;

/**
 * Interface TestimonialAreaRepositoryInterface
 * @package Pinpoint\TestimonialManager\Api
 */
interface TestimonialAreaRepositoryInterface
{
    /**
     * @param TestimonialAreaInterface $page
     * @return mixed
     */
    public function save(TestimonialAreaInterface $page);

    /**
     * @param $id
     * @return mixed
     */
    public function getById($id);

    /**
     * @param SearchCriteriaInterface $criteria
     * @return mixed
     */
    public function getList(SearchCriteriaInterface $criteria);

    /**
     * @param TestimonialAreaInterface $page
     * @return mixed
     */
    public function delete(TestimonialAreaInterface $page);

    /**
     * @param $id
     * @return mixed
     */
    public function deleteById($id);
}
