# ext_m2_TestimonialManager
Module 2 module that allows the rendering of testimonails on your website.

* Admin users can add new testimonials.
* Ability to add testimonals to testimonial areas.
## Installation  
  
Use the package manager [composer](https://getcomposer.org/) to install the module.  
  
```bash  
composer require pinpoint/testimonialmanager 
```  

### Testimonials
* Fields:
  * `id` - hidden
  * `quote`
  * `name`
  * `is_active`
  * `creation_time` - hidden
  * `update_time` - hidden
* Access: `Admin > Content > Testimonial Manager > Testimonials`

### Testimonial Area
* Fields:
  * `id` - hidden
  * `area_name`
  * `testimonials` - comma separated list of testimonial id's in area.
  * `randomise` - if set to `true`, this will randomise the testimonials on render. If `false`, it will display in order of `id`.
  * `is_active`
  * `creation_time` - hidden
  * `update_time` - hidden
* Access: `Admin > Content > Testimonial Manager > Testimonial Areas`

### How to use on the frontend
#### via XML:
```xml
<block class="Pinpoint\TestimonialManager\Block\TestimonialArea\Area" area_id="1" name="testimonialarea.example.reference" />
```
#### via CMS:
```
{{block class="Pinpoint\TestimonialManager\Block\TestimonialArea\Area" area_id="1" name="testimonialarea.example.reference"}}
```
